from django.conf import settings
from django.template.loaders.filesystem import Loader
from django.apps import apps
from django.utils._os import safe_join


class TimtecThemeLoader(Loader):
    """
    Loader for templates from the django apps themes.
    """

    def get_dirs(self):

        if apps.is_installed(settings.TIMTEC_THEME):
            theme_app_config = apps.get_app_config(settings.TIMTEC_THEME)
            return [safe_join(theme_app_config.path, 'templates')]
        return []
