(function(angular){
    'use strict';

    var app = angular.module('contracts', [
        'contracts.controllers',
        'contracts.services',
        'ngFileUpload',
        'directive.file',
        'ngRoute',
        'ngSanitize',
        'ui.bootstrap',
        'ui.select',
        'ui.tinymce',
        'core.services',
        'shared',
    ]);

    app.config(['$locationProvider', '$routeProvider',
        function config($locationProvider, $routeProvider) {
            $locationProvider.hashPrefix('!');

            $routeProvider.
                when('/new', {
                    templateUrl: '/legacy/contract-edit.html',
                    controller: 'NewContractCtrl'
                }).
                when('/:contractId/edit', {
                    templateUrl: '/legacy/contract-edit.html',
                    controller: 'EditContractCtrl'
                }).
                when('/:contractId', {
                    templateUrl: '/legacy/contract-edit.html',
                    controller: 'EditContractCtrl'
                }).
                when('/', {
                    templateUrl: '/legacy/contracts-list.html',
                    controller: 'ContractsCtrl'
                }).
                otherwise('/');
        }
    ]);


})(angular);
