(function() {
    'use strict';

    angular
        .module('userParticipationReport')
        .component('userParticipationReport', {
            templateUrl: '/user-participation-report.template.html',
            controller: UserParticipationReportCtrl,
            bindings: {
                user: '<',
            },
        });

    UserParticipationReportCtrl.$inject = ['$scope', 'NteParticipationReport', 'ClassroomReport', 'GeneralFilterOptions', 'RoleParticipationReport'];

    function UserParticipationReportCtrl ($scope, NteParticipationReport, ClassroomReport, GeneralFilterOptions, RoleParticipationReport) {

        var ctrl = this;

        ctrl.courses = [];

        ctrl.$onInit = function() {
            NteParticipationReport.query({}, (data) => {
                ctrl.ntes_reports = data;
            });

            ClassroomReport.get({}, (data) => {
                ctrl.classrooms_reports = data.results;
                ctrl.classrooms_total = {'actives': 0, 'not_actives': 0, 'not_involved': 0, 'total': 0}
                ctrl.classrooms_reports.forEach(classroom => {
                  var activity = classroom.activity_summary;
                  ctrl.classrooms_total['actives'] += activity.actives;
                  ctrl.classrooms_total['not_actives'] += activity.not_actives;
                  ctrl.classrooms_total['not_involved'] += activity.not_involved;
                  ctrl.classrooms_total['total'] += activity.actives + activity.not_actives + activity.not_involved;
                });
            });

            GeneralFilterOptions.get({}, (data) =>{
                ctrl.report_filters = data;
            });

            RoleParticipationReport.get({}, (data) => {
                ctrl.roles_reports = data;
                ctrl.roles_reports.$promise = undefined; ctrl.roles_reports.$resolved = undefined;
                ctrl.roles_total = {'actives': 0, 'not_actives': 0, 'not_involved': 0, 'total': 0}
                Object.entries(ctrl.roles_reports).forEach(([role, activity]) => {
                  if (activity !== undefined) {
                    ctrl.roles_total['actives'] += activity.actives;
                    ctrl.roles_total['not_actives'] += activity.not_actives;
                    ctrl.roles_total['not_involved'] += activity.not_involved;
                    ctrl.roles_total['total'] += activity.actives + activity.not_actives + activity.not_involved;
                  }
                });
            });
        };
    }
})();
