from django.views.generic.base import TemplateView

from braces.views._access import AccessMixin
from braces.views import LoginRequiredMixin


class AcceptedTermsRequiredMixin(AccessMixin):
    """Verify that the current user has accepted Terms of Service."""
    def dispatch(self, request, *args, **kwargs):
        if not self.request.user.accepted_terms and settings.TERMS_ACCEPTANCE_REQUIRED:
            return redirect(reverse_lazy('courses_legacy:accept_terms'))
        return super().dispatch(request, *args, **kwargs)


class LoginAndTermsRequiredTemplateView(LoginRequiredMixin, AcceptedTermsRequiredMixin, TemplateView):
    pass
